# $Revision: 1.8 $, $Date: 2012/05/04 11:02:28 $
#
Summary:	HUAWEI E220 modem activator
Summary(pl.UTF-8):	Aktywator modemu HUAWEI E220
Name:		huaweiAktBbo
Version:	20061211
Release:	2
License:	GPL v2
Group:		Applications
Source0:	http://www.kanoistika.sk/bobovsky/archiv/umts/%{name}.c
# Source0-md5:	07341a64e0508aa1ab7eff3d8f9e6672
Source1:	http://www.kanoistika.sk/bobovsky/archiv/umts/huaweie220.txt
# Source1-md5:	c619c39e7b636b9820094964953cf257
Source2:	%{name}-udev.rules
URL:		http://www.kanoistika.sk/bobovsky/archiv/umts/
BuildRequires:	libusb-compat-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Linux kernel detects HUAWEI E220 as CDROM. This program disables this
storag device and allows to use E220 as modem.

%description -l pl.UTF-8
Jądro Linuksa wykrywa HUAWEI E220 jako CDROM. Ten program wyłącza
"storage device" i pozwala korzystać z E220 jako z modemu.

%package udev
Summary:	Udev rules for huaweiAktBbo
Summary(pl.UTF-8):	Reguła udev dla huaweiAktBbo
Group:		Applications

%description udev
Udev rule that executes huaweiAktBbo.

%description udev -l pl.UTF-8
Reguła udev która automatycznie uruchamia wukonuje program
huaweiAktBbo po podłączeniu modemu.

%prep
%setup -q -c -T

%build

%{__cc} %{rpmcppflags} %{rpmcflags} %{rpmldflags} \
	%{SOURCE0} -o %{name} -lusb

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/etc/udev/rules.d}

install huaweiAktBbo $RPM_BUILD_ROOT%{_sbindir}/huaweiAktBbo
install %{SOURCE1} README.sk.txt
install %{SOURCE2} $RPM_BUILD_ROOT/etc/udev/rules.d/75-huawei-e220.rules

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.sk.txt
%attr(755,root,root) %{_sbindir}/%{name}

%files udev
%defattr(644,root,root,755)
/etc/udev/rules.d/75-huawei-e220.rules

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: huaweiAktBbo.spec,v $
Revision 1.8  2012/05/04 11:02:28  blekot
- changed SYSFS to ATTR in rules
- rel 2

Revision 1.7  2011/02/02 16:16:46  sparky
- use rpm*flags
- replaced BR: libusb-devel  with BR: libusb-compat-devel

Revision 1.6  2010/09/13 14:28:00  wolf
Fix group.

Revision 1.5  2009/06/04 21:57:36  shadzik
- use sections for their real destination

Revision 1.4  2009/01/01 15:57:08  pawelz
- Group for -udev subpackage
- rel 1

Revision 1.3  2008/12/30 14:01:00  pawelz
- added udev subpackage

Revision 1.2  2008/12/30 13:12:52  pawelz
- adapterized

Revision 1.1  2008/12/30 13:11:10  pawelz
- HUAWEI E220 modem activator
- initial PLD release
- NFY
